REST APIWallet & TransactAddress

GET

Gets proof of ownership for an address of a TRUST wallet. Returns a unique BTC proof that you can use with your travel-rule solutions. Only available for BTC.

Before using this endpoint, BitGo must configure the VASP ID for your enterprise. Contact support@bitgo.com and provide your enterprise ID, environment (production or testnet), role at your company, and your VASP ID.

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • walletId string required

    matches ^[0-9a-f]{32}$

  • addressOrId string required
    Address or Id which will be used for information lookup

Responses

200
OK

Response Body

object

Proof of address ownership
  • iou boolean required
    True if this is an IOU
  • address string
    The address
  • signature string
    The proof signature
  • prefix string
    A 64-character random string used to generate the proof
  • chain string enum
    The coin name ('BITCOIN' or 'ETHEREUM')
    BITCOINETHEREUM
  • proofType string enum
    The type of proof
    BITCOIN_P2SHBITCOIN_P2SH_P2WSHBITCOIN_P2WSHETHEREUM_CONTRACT
  • auxProofData array of objects
    auxProofData object
    • type string enum required
      The type of data
      REDEEM_SCRIPTWITNESS_SCRIPTETH_CREATEETH_CREATE2
    • data object required
      data object
      • script string
        The REDEEM_SCRIPT or WITNESS_SCRIPT associated with the address
      • nonce string
      • salt string
      • init_code_hash string
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id